Bug 259368 - x11-fm/doublecmd: update to 1.0.1
Summary: x11-fm/doublecmd: update to 1.0.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yasuhiro Kimura
URL: https://github.com/doublecmd/doublecm...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-22 21:26 UTC by Beñat Gonzalez Etxepare
Modified: 2021-11-06 13:31 UTC (History)
1 user (show)

See Also:


Attachments
Patch to version 1.0.0 (12.47 KB, patch)
2021-10-22 21:26 UTC, Beñat Gonzalez Etxepare
bbtruk: maintainer-approval+
Details | Diff
Patch to version 1.0.1 (12.46 KB, patch)
2021-11-05 17:59 UTC, Beñat Gonzalez Etxepare
bbtruk: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Beñat Gonzalez Etxepare 2021-10-22 21:26:00 UTC
Created attachment 228956 [details]
Patch to version 1.0.0

Changes:
- Update to version 1.0.0.
  New features: https://github.com/doublecmd/doublecmd/wiki/Changes-in-version-1.0.0
  Detailed changelog: https://doublecmd.sourceforge.io/mantisbt/changelog_page.php?version_id=56
- Website URL updated.
- Use Github to get sources.
- Fix Portlint warnings.

Deleted files:
- files/patch-components_multithreadprocs_mtpcpu.pas
- files/patch-src_platform_udefaultplugins.pas
- files/patch-src_platform_unix_upipeserver.pas

Tested with Poudriere.


I'm not sure if this should be a candidate to MFH to quarterly. There are no breaking changes and no other port depends on this, but it brings some new features. I can't find clear guidelines in the docs about when to request a MFH.
Comment 1 Beñat Gonzalez Etxepare 2021-11-05 17:59:36 UTC
Created attachment 229301 [details]
Patch to version 1.0.1

Patch updated to latest version of Double Commander.
Comment 2 Yasuhiro Kimura freebsd_committer 2021-11-06 08:13:19 UTC
Take.
Comment 3 Yasuhiro Kimura freebsd_committer 2021-11-06 13:08:59 UTC
(In reply to Beñat Gonzalez Etxepare from comment #0)

Commit to quarterly branch is done to fix problem (build error, runtime error, security vulnerability, and other bug). According to the change log of 1.0.0, this release is new feature release. And 1.0.1 is bugfix release of 1.0.0. So I don't think this update need to be merged to quarterly branch. But if you think it should be then please let me know.
Comment 4 Beñat Gonzalez Etxepare 2021-11-06 13:14:35 UTC
(In reply to Yasuhiro Kimura from comment #3)

Thanks for clearing it up. In that case, no need to MFH.
Comment 5 Yasuhiro Kimura freebsd_committer 2021-11-06 13:31:08 UTC
Committed as ports 37e5d724fedb with some refinements. Thanks!